Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format.adapters.distance
Class IconHeightAdapter

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.specialformats.AbstractLabelAdapter
          info.bioinfweb.treegraph.document.format.adapters.distance.AbstractLabelDistanceAdapter
              info.bioinfweb.treegraph.document.format.adapters.distance.AbstractIconLabelDistanceAdapter
                  info.bioinfweb.treegraph.document.format.adapters.distance.IconHeightAdapter

All Implemented Interfaces:
  DistanceAdapter

    public class IconHeightAdapter

extends AbstractIconLabelDistanceAdapter
implements DistanceAdapter

Since:
  2.0.25
Author:
  Ben Stöver

Constructor Summary
`IconHeightAdapter(String id)`

Method Summary
`protected DistanceValue` | `getIconDistanceValue(IconLabelFormats formats)`
`String` | `toString()`

Methods inherited from class info.bioinfweb.treegraph.document.format.adapters.distance.AbstractIconLabelDistanceAdapter
`getDistanceValue`

Methods inherited from class info.bioinfweb.treegraph.document.format.adapters.distance.AbstractLabelDistanceAdapter
`getDistance, setDistance`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.specialformats.AbstractLabelAdapter
`getID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.format.adapters.distance.DistanceAdapter
`getDistance, setDistance`

Constructor Detail

### IconHeightAdapter

    public IconHeightAdapter(String id)

Method Detail

### getIconDistanceValue

    protected DistanceValue getIconDistanceValue(IconLabelFormats formats)

  Specified by:
    `getIconDistanceValue` in class `AbstractIconLabelDistanceAdapter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD